Bug 1646409 - [Container Admin] Changing Registry Name Pattern in Library LE displays error; is saved anyway
Summary: [Container Admin] Changing Registry Name Pattern in Library LE displays error...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Lifecycle Environments
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Justin Sherrill
QA Contact: Mirek Zalewski
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-05 14:20 UTC by Mirek Zalewski
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:47 UTC
Foreman Issue Tracker 25410 None None None 2018-11-14 14:55:33 UTC

Description Mirek Zalewski 2018-11-05 14:20:21 UTC
Trying to set Registry Name Pattern definition in default Lifecycle environment ("Library") results in following error message:
"An error occurred saving the Environment: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject."

Value is saved anyway.


Version:
Sat 6.5 snap 2
katello-3.9.0-0.11.rc2.el7sat.noarch
satellite-6.5.0-3.beta.el7sat.noarch
foreman-1.20.0-0.17.RC2.el7sat.noarch


Steps to reproduce:
1. Content -> Lifecycle Environments -> Library
2. Click "Registry Name Pattern" field
3. Put any valid data, e.g. '<%= organization.label %>/<%= repository.docker_upstream_name %>' (copied from examples below field)
4. Save


Expected results:
Value is saved without error


Actual results:
Error message "An error occurred saving the Environment: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject." is displayed. Value is saved anyway, which can be verified by opening any other tab and going back to "Details".

Comment 2 Justin Sherrill 2018-11-07 14:14:56 UTC
 Katello::Repository.safe_render_container_name( Katello::Repository.all[1],  '')  is returning empty string (''), when it should be defaulting to the default container repo name

Comment 3 pm-sat@redhat.com 2018-11-14 15:10:01 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 4 pm-sat@redhat.com 2018-11-14 15:10:03 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 5 pm-sat@redhat.com 2018-11-14 21:09:57 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25410 has been resolved.

Comment 8 Mirek Zalewski 2018-12-03 12:52:42 UTC
Following path was tested:
- set pattern for Library to non-empty
- set pattern for Library back to empty
- create content view with docker repository and publish it
- set pattern for Library to non-empty
- set pattern for Library back to empty

No issues encountered. All changes were applied without errors and resulted in expected changes in the system.


Tested on:
Satellite 6.5 snap 6
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-5.beta.el7sat.noarch
foreman-1.20.0.2-1.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch

Comment 11 errata-xmlrpc 2019-05-14 12:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.